/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2022  SEGGER Microcontroller GmbH                *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************
----------------------------------------------------------------------
File        : ID_SCREEN_BUC_STATUS_Slots.c
Purpose     : AppWizard managed file, function content could be changed
---------------------------END-OF-HEADER------------------------------
*/

#include "Application.h"
#include "../Generated/Resource.h"
#include "../Generated/ID_SCREEN_BUC_STATUS.h"
#include "../Generated/ID_SCREEN_BUC_CONTROL.h"
#include "../utilities/fsl_debug_console.h"

/*** Begin of user code area ***/
/*** End of user code area ***/

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       cbID_SCREEN_BUC_STATUS
*/
void cbID_SCREEN_BUC_STATUS(WM_MESSAGE * pMsg) {
  GUI_USE_PARA(pMsg);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_STATUS__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_RF_FWD_POW_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_STATUS__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_RF_FWD_POW_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_STATUS__APPW_NOTIFICATION_MOTION
*/
void ID_SCREEN_BUC_STATUS__APPW_NOTIFICATION_MOTION(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

				if(Parameter_UDP_Pkt_from_BUC_Received==1)
				{
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, "");
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, gui_RF_FWD_Power_Status_P1);

					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
					if( strcmp(gui_attenution_ctrl,"")==0 && strcmp(Backup_gui_attenution_ctrl,"")==0 )
					{
						//PRINTF("\n NULL MATCHED");
						APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
						APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_Screen_Param_Default_number);
					}
					else
						APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_attenution_ctrl);

					//ID_TEXT_EXT_10MHZ_SRC_VAL
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, "");
					Ext_10Mhz_Src_Status_Screen_Value = APPW_GetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_EXT_10MHZ_REF_SRC, NULL);
					if(Ext_10Mhz_Src_Status_Screen_Value==0)
						strcpy(gui_Ext_10Mhz_Src_Status,gui_INTERNAL_DESC);
					else
						strcpy(gui_Ext_10Mhz_Src_Status,gui_EXTERNAL_DESC);

					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, gui_Ext_10Mhz_Src_Status);


					//ID_TEXT_RF_MUTE_STATUS_VAL
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
					RF_Mute_Status_Screen_Value = APPW_GetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_BUC_CTRL_RF_MUTE, NULL);
					if(RF_Mute_Status_Screen_Value==0)
						strcpy(gui_RF_Mute_Status,gui_OFF_DESC);
					else
						strcpy(gui_RF_Mute_Status,gui_ON_DESC);
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_RF_Mute_Status);
				}

				if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
				{
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, "");
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, gui_Screen_Param_Default_number);

					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, "");
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, gui_Screen_Param_Default);

					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_Screen_Param_Default);

					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_Screen_Param_Default);
				}

				if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
				{
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, "");
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, Backup_gui_RF_FWD_Power_Status_P1);

					//ID_TEXT_RF_ATTN_STATUS_VAL
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
					if( strcmp(Backup_gui_attenution_ctrl,"")==0 )
					{
						APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
						APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_Screen_Param_Default_number);
					}
					else
						APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, Backup_gui_attenution_ctrl);


					//ID_TEXT_EXT_10MHZ_SRC_VAL
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, "");
					Ext_10Mhz_Src_Status_Screen_Value = APPW_GetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_EXT_10MHZ_REF_SRC, NULL);
					if(Ext_10Mhz_Src_Status_Screen_Value==0)
						strcpy(gui_Ext_10Mhz_Src_Status,gui_INTERNAL_DESC);
					else
						strcpy(gui_Ext_10Mhz_Src_Status,gui_EXTERNAL_DESC);

					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, gui_Ext_10Mhz_Src_Status);


					//ID_TEXT_RF_MUTE_STATUS_VAL
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
					RF_Mute_Status_Screen_Value = APPW_GetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_BUC_CTRL_RF_MUTE, NULL);
					if(RF_Mute_Status_Screen_Value==0)
						strcpy(gui_RF_Mute_Status,gui_OFF_DESC);
					else
						strcpy(gui_RF_Mute_Status,gui_ON_DESC);
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_RF_Mute_Status);



				}

  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_STATUS__ID_TEXT_RF_FWD_POW_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_RF_FWD_POW_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_STATUS__ID_TEXT_RF_FWD_POW_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_RF_FWD_POW_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//			if(Parameter_UDP_Pkt_from_BUC_Received==1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, gui_RF_FWD_Power_Status_P1);
//			}
//
//			if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, gui_Screen_Param_Default_number);
//			}
//
//			if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, Backup_gui_RF_FWD_Power_Status_P1);
//			}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_STATUS__ID_TEXT_EXT_10MHZ_SRC_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_EXT_10MHZ_SRC_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_STATUS__ID_TEXT_EXT_10MHZ_SRC_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_EXT_10MHZ_SRC_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//			if(Parameter_UDP_Pkt_from_BUC_Received==1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, gui_Ext_10Mhz_Src_Status);
//			}
//
//			if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, gui_Screen_Param_Default);
//			}
//
//			if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, Backup_gui_Ext_10Mhz_Src_Status);
//			}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_STATUS__ID_TEXT_RF_ATTN_STATUS_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_RF_ATTN_STATUS_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_STATUS__ID_TEXT_RF_ATTN_STATUS_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_RF_ATTN_STATUS_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//			if(Parameter_UDP_Pkt_from_BUC_Received==1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
//				if( strcmp(gui_attenution_ctrl,"")==0 && strcmp(Backup_gui_attenution_ctrl,"")==0 )
//				{
//					//PRINTF("\n NULL MATCHED");
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_Screen_Param_Default_number);
//
//				}
//				else
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_attenution_ctrl);
//			}
//
//			if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_Screen_Param_Default);
//			}
//
//			if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
//				if( strcmp(Backup_gui_attenution_ctrl,"")==0 )
//				{
//					//PRINTF("\n NULL MATCHED");
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_Screen_Param_Default_number);
//
//				}
//				else
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, Backup_gui_attenution_ctrl);
//			}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_STATUS__ID_TEXT_RF_MUTE_STATUS_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_RF_MUTE_STATUS_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_STATUS__ID_TEXT_RF_MUTE_STATUS_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_RF_MUTE_STATUS_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//			if(Parameter_UDP_Pkt_from_BUC_Received==1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
//				if( strcmp(gui_RF_Mute_Status,"")==0 && strcmp(Backup_gui_RF_Mute_Status,"")==0 )
//				{
//					//PRINTF("\n NULL MATCHED");
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_Screen_Param_Default_number);
//
//				}
//				else
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_RF_Mute_Status);
//			}
//
//			if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_Screen_Param_Default);
//			}
//
//			if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//			{
//				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
//				if( strcmp(Backup_gui_RF_Mute_Status,"")==0 )
//				{
//					//PRINTF("\n NULL MATCHED");
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_Screen_Param_Default_number);
//
//				}
//				else
//					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, Backup_gui_RF_Mute_Status);
//			}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_STATUS__ID_BUTTON_REFRESH_STATUS__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_STATUS__ID_BUTTON_REFRESH_STATUS__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
			if(Parameter_UDP_Pkt_from_BUC_Received==1)
			{
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, gui_RF_FWD_Power_Status_P1);

				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
				if( strcmp(gui_attenution_ctrl,"")==0 && strcmp(Backup_gui_attenution_ctrl,"")==0 )
				{
					//PRINTF("\n NULL MATCHED");
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_Screen_Param_Default_number);
				}
				else
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_attenution_ctrl);

				//ID_TEXT_EXT_10MHZ_SRC_VAL
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, "");
				Ext_10Mhz_Src_Status_Screen_Value = APPW_GetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_EXT_10MHZ_REF_SRC, NULL);
				if(Ext_10Mhz_Src_Status_Screen_Value==0)
					strcpy(gui_Ext_10Mhz_Src_Status,gui_INTERNAL_DESC);
				else
					strcpy(gui_Ext_10Mhz_Src_Status,gui_EXTERNAL_DESC);

				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, gui_Ext_10Mhz_Src_Status);


				//ID_TEXT_RF_MUTE_STATUS_VAL
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
				RF_Mute_Status_Screen_Value = APPW_GetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_BUC_CTRL_RF_MUTE, NULL);
				if(RF_Mute_Status_Screen_Value==0)
					strcpy(gui_RF_Mute_Status,gui_OFF_DESC);
				else
					strcpy(gui_RF_Mute_Status,gui_ON_DESC);
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_RF_Mute_Status);
			}

			if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
			{
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, gui_Screen_Param_Default_number);

				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, gui_Screen_Param_Default);

				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_Screen_Param_Default);

				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_Screen_Param_Default);
			}

			if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
			{
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_FWD_POW_STATUS_VAL, Backup_gui_RF_FWD_Power_Status_P1);

				//ID_TEXT_RF_ATTN_STATUS_VAL
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
				if( strcmp(Backup_gui_attenution_ctrl,"")==0 )
				{
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, "");
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, gui_Screen_Param_Default_number);
				}
				else
					APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_ATTN_STATUS_VAL, Backup_gui_attenution_ctrl);


				//ID_TEXT_EXT_10MHZ_SRC_VAL
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, "");
				Ext_10Mhz_Src_Status_Screen_Value = APPW_GetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_EXT_10MHZ_REF_SRC, NULL);
				if(Ext_10Mhz_Src_Status_Screen_Value==0)
					strcpy(gui_Ext_10Mhz_Src_Status,gui_INTERNAL_DESC);
				else
					strcpy(gui_Ext_10Mhz_Src_Status,gui_EXTERNAL_DESC);

				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_EXT_10MHZ_SRC_VAL, gui_Ext_10Mhz_Src_Status);


				//ID_TEXT_RF_MUTE_STATUS_VAL
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, "");
				RF_Mute_Status_Screen_Value = APPW_GetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_BUC_CTRL_RF_MUTE, NULL);
				if(RF_Mute_Status_Screen_Value==0)
					strcpy(gui_RF_Mute_Status,gui_OFF_DESC);
				else
					strcpy(gui_RF_Mute_Status,gui_ON_DESC);
				APPW_SetText(ID_SCREEN_BUC_STATUS, ID_TEXT_RF_MUTE_STATUS_VAL, gui_RF_Mute_Status);



			}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_STATUS__ID_BUTTON_BACK_BUC_STATUS__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_STATUS__ID_BUTTON_BACK_BUC_STATUS__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_STATUS__ID_BUTTON_HOME_STATUS__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_STATUS__ID_BUTTON_HOME_STATUS__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*************************** End of file ****************************/
